// KMP@ɂ镶T

import java.util.Scanner;

class KMPmatch {

	//--- KMP@ɂ镶T ---//
	static int kmpMatch(String txt, String pat) {
		int pt = 1;											// txtȂJ[\
		int pp = 0;											// patȂJ[\
		int[] skip = new int[pat.length() + 1];	// XLbve[u

		// XLbve[u̍쐬
		skip[pt] = 0;
		while (pt != pat.length()) {
			if (pat.charAt(pt) == pat.charAt(pp))
				skip[++pt] = ++pp;
			else if (pp == 0)
				skip[++pt] = pp;
			else
				pp = skip[pp];
		}

		// T
		pt = pp = 0;
		while (pt != txt.length() && pp != pat.length()) {
			if (txt.charAt(pt) == pat.charAt(pp)) {
				pt++;
				pp++;
			} else if (pp == 0)
				pt++;
			else
				pp = skip[pp];
		}

		if (pp == pat.length())		// p^[̑Sƍ
			return pt - pp;
		return -1;					// Ts
	}

	public static void main(String[] args) {
		Scanner stdIn = new Scanner(System.in);

		System.out.print("eLXgF");
		String s1 = stdIn.next(); 					// eLXgp

		System.out.print("p^[F");
		String s2 = stdIn.next();						// p^[p

		int idx = kmpMatch(s1, s2);	// s1當s2͂܂@ŒT

		if (idx == -1)
			System.out.println("eLXgɃp^[݂͑܂B");
		else {
			// }b`̒O܂ł́sptł̕߂
			int len = 0;
			for (int i = 0; i < idx; i++)
				len += s1.substring(i, i + 1).getBytes().length;
			len += s2.length();

			System.out.println((idx + 1) + "ڂɃ}b`܂B");
			System.out.println("eLXgF" + s1);
			System.out.printf(String.format("p^[F%%%ds\n", len), s2);
		}
	}
}
